Skip to main content
`Ctrl`+`K`

# SVDPRIMMEMethod

The SVD method selected in the PRIMME library.

## Synopsis

    typedef enum { SVD_PRIMME_HYBRID          = 1,
                   SVD_PRIMME_NORMALEQUATIONS = 2,
                   SVD_PRIMME_AUGMENTED       = 3 } SVDPRIMMEMethod;

## Note

See the documentation of PRIMME [Stathopoulos and McCombs, 2010] for a description of the methods.

## References

[Sta10]

A. Stathopoulos and J. R. McCombs. PRIMME: PReconditioned Iterative MultiMethod Eigensolver: methods and software description. ACM Trans. Math. Software, 37(2):21:1–21:30, 2010. doi:10.1145/1731022.1731031.

## See Also

SVD: Singular Value Decomposition, `SVDPRIMMESetMethod()`, `SVDPRIMMEGetMethod()`

## Level

advanced

## Location

include/slepcsvd.h

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages